<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/09/2004 *
 * ================                             Last change: 04/09/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-stats.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Setup default statistics mode                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Standart Modus der Statistiken einstellen        *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

// Was the form submitted?
if (isset($_POST['ok'])) {
	// Save settings
	ADMIN_SAVE_SETTINGS($_POST);
} else {
	// Guest stats
	switch (strtolower($_CONFIG['guest_stats']))
	{
	case "members":
		define('__MEMBERS_RADIO', " checked selected");
		define('__MODULES_RADIO', "");
		define('__INACTIVE_RADIO', "");
		break;

	case "modules":
		define('__MEMBERS_RADIO', "");
		define('__MODULES_RADIO', " checked selected");
		define('__INACTIVE_RADIO', "");
		break;

	case "inactive":
		define('__MEMBERS_RADIO', "");
		define('__MODULES_RADIO', "");
		define('__INACTIVE_RADIO', " checked selected");
		break;
	}

	// Max stats entries per page
	define('__STATS_LIMIT', $_CONFIG['stats_limit']);

	// Load template
	LOAD_TEMPLATE("admin_config_stats");
}

//
?>
